%{
#define YYSTYPE double
#include "sTime.tab.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}


%%
[ \t]+      { ; }

"Time spent by the prover:" { 
                                return(TimeSpent);
                            }

"seconds" {
             return(Seconds);
          }

[0-9]+"."[0-9]+ {   
                  yylval=atof(yytext);
                  return(FLOAT);
                }

\n         return (yytext[0]); 

.        { ; /* ignora tudo o resto */ }

%%


int yywrap()                  /* called by yylex()                  */
{ return(1); }                /*   0: yylex() continues reading     */
                              /*   other: yylex() stops             */
